<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: FDTD Designer
| Theme: Fisherman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/fish_direct.png' class='clear-image' alt='' />");

require_once THEME."functions.php";
require_once INCLUDES."theme_functions_include.php";

add_handler("theme_output");

function render_page($license = false) {
	global $settings, $main_style, $locale, $mysql_queries_time;
	
	//IE special
	add_to_head("<!--[if IE]><link rel='stylesheet' href='".THEME."iexplorer.css' type='text/css' media='screen' /><![endif]-->");
	
	//Header
	echo "<div class='fish-bobber'></div>\n";
	echo "<table cellspacing='0' cellpadding='0' class='multi-header'>\n<tr>\n";
	echo "<td class='header-part-1'></td>\n";
	echo "<td class='header-part-2'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='header-part-3'></td>\n";
	echo "<td class='header-part-4'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='header-part-5'></td>\n";
	echo "<td class='header-part-6'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='header-part-7'></td>\n";
	echo "<td class='header-part-8'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<div class='header-part-9'>\n";
	echo "<div class='fishing'>".showsublinks("", "fish")."</div>\n";
	if (!preg_match("#forum/#", START_PAGE)) {
		echo "<table cellspacing='0' cellpadding='0' width='950' class='center fix-layout' style='margin-bottom:20px;'>\n<tr>\n";
		echo "<td class='desk-icon-one'><h1><a href='#'>Tackle</a></h1><span><strong>Fishing tackle</strong> is the equipment used by fishermen when fishing.</span></td>\n";
		echo "<td class='desk-space'></td>\n";
		echo "<td class='desk-icon-two'><h1><a href='#'>Equipment</a></h1><span><strong>Spin fishing</strong> is an angling technique where a spinning lure is used to entice the fish to bite.</span></td>\n";
		echo "<td class='desk-space'></td>\n";
		echo "<td class='desk-icon-three'><h1><a href='#'>Accessories</a></h1><span>A <strong>float</strong>, also called a <strong>bobber</strong>, is an item of angling equipment that is attached to the fishing line which serves several purposes.</span></td>\n";
		echo "</tr>\n</table>\n";
	}
	
	//Content
	echo "<table cellspacing='0' cellpadding='0' width='100%' class='$main_style'>\n<tr>\n";
	echo "<td class='main-bg' valign='top'>\n";
		echo "<table cellspacing='0' cellpadding='0' width='100%' class='center fix-layout'>\n<tr>\n";
		echo "<td class='content-top'></td>\n";
		echo "<td class='content-top-left'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='content-mid' colspan='2'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='content-bottom'></td>\n";
		echo "<td class='content-bottom-left'></td>\n";
		echo "</tr>\n</table>\n";
	echo "</td>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

	//Footer
	echo "</div>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%' class='algae'>\n<tr>\n";
	echo "<td class='algae-designer'><!-- Fisherman theme is designed by FDTD Designer --></td>\n";
	echo "<td align='right' class='algae-copyrights'><div>".stripslashes($settings['footer']);
	if (!$license) { echo "<br /><br />\n".showcopyright(); }
	echo "&nbsp;Uses forum icons by <a rel='nofollow' href='http://www.diveandgo.com/'>Diveandgo</a>.";
	echo "</div></td>\n";
	echo "</tr>\n</table>\n";
}

function render_comments($c_data, $c_info){
	global $locale;
	
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== FALSE) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {
	global $locale;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='news-box'>\n<tr>\n";
	echo "<td class='news-caption'><div style='float:right;'>".str_replace("&middot;", "", itemoptions("N", $info['news_id']))."</div>".newscat($info,"")." &rarr; <a name='news_".$info['news_id']."' href='".BASEDIR."news.php?readmore=".$info['news_id']."' id='news_".$info['news_id']."'>".strip_tags($subject)."</a></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-info'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;");
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-context'>".$info['cat_image'].$news;
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
		echo "<div class='float-box'>\n";
		echo "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='button'>".$locale['global_072']."</a>\n";
		echo "</div>\n";
	}
	echo "</td>\n";
	echo "</tr>\n</table>\n";
}

function render_article($subject, $article, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='news-box'>\n<tr>\n";
	echo "<td class='news-caption'><div style='float:right;'>".str_replace("&middot;", "", itemoptions("A", $info['article_id']))."</div>".articlecat($info," &middot;")."  &rarr; <a name='article_".$info['article_id']."' href='".BASEDIR."articles.php?article_id=".$info['article_id']."' id='article_".$info['article_id']."'>".strip_tags($subject)."</a></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-info'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;");
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-context'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n</table>\n";
}

function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='news-box'>\n<tr>\n";
	echo "<td class='news-caption'>".$title."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-context'>\n";
}

function closetable() {
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state="on") {
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='news-box'>\n<tr>\n";
	echo "<td class='panel-caption'>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div style='float:right;'>".panelbutton($state, $boxname)."</div>\n";
	}
	echo "<span title='".$title."'>".trimlink($title, 17)."</span>\n";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='panel-context'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "</tr>\n</table>\n";
}
?>
